# SC//Platform

## General

All the operations are using REST API to communicate with the HC3 cluster. Depending on the version of SC//Platform, additional configuration of the cluster may be required.

1. REST API should be enabled in the settings.

![](https://content.gitbook.com/content/wUsKWUrceYHp8e9TJ00e/blobs/2BhY3WWx3NcBbVi7TZP9/protecting-virtual-environments_virtual-machines_scale-computing-HC3_general_1.png)

2. Before taking a snapshot, the current state of the `disableSnapshotting` flag of every disk in the virtual machine is checked. If even one of the disks has disabled snapshotting, the snapshot task ends with the error. All disks with disabled snapshotting are listed in the error message.

![](https://content.gitbook.com/content/wUsKWUrceYHp8e9TJ00e/blobs/7el1xxwU7rp0GrdNnsKS/protecting-virtual-environments_virtual-machines_scale-computing-HC3_general_2.png)

## Backup Strategies

### Export Storage Domain Strategy

Export storage domain strategy performs the export using a Samba server running on a node machine. This strategy does not require a proxy VM.

{% hint style="info" %}
**Note:**

* Supported version: 8.9.x
* no incremental backup
* backup files are transferred to the SMB file share created on the node host (no Proxy VM required
  {% endhint %}

#### In general, the **export** process is as follows:

• A snapshot of the virtual machine is taken

• Samba server is started on the node machine and export share is added

• Export of the VM to created SMB share is ordered

• Export share is removed and Samba server is stopped after Storware Backup & Recovery finishes copying files

• Metadata of the excluded disks is exported

#### In general, the **restore** process is as follows:

• Samba server is started on the node machine and import share is added

• Import of the VM to the created SMB share is ordered

• Empty disks for excluded disks are added to the restored VM

• Import share is removed and Samba server is stopped

![](https://content.gitbook.com/content/wUsKWUrceYHp8e9TJ00e/blobs/QUimOTDd7QcNalyTrYO8/protecting_ve-virtual_machines-scale-storage_domain_strategy.png)

### Disk Attachment Strategy

Disk attachment strategy performs the export using proxy VM running on the HC3 cluster.

{% hint style="info" %}
**Note:**

* Supported version: 8.9.x
* incremental backup available
* a proxy VM is required - used for the disk attachment process.
  {% endhint %}

#### In general, the **export** process is as follows:

• A snapshot of the virtual machine is taken

• The disks from the taken snapshot that were not excluded are attached to the proxy VM

• If full export is being performed, then the whole content of the attached disks is saved to the backup files. If incremental export is being performed, then the list of changed blocks is first retrieved and then only the content of these blocks is saved.

• The disks are detached from the proxy VM

#### In general, the **restore** process is as follows:

• A new virtual machine is created using exported metadata

• Empty disks are attached to the proxy VM

• Content of the exported disk files is written to the attached disks

• The restored disks are then reattached from the proxy VM to the restored VM

• List of boot devices for the restored VM is set

![](https://content.gitbook.com/content/wUsKWUrceYHp8e9TJ00e/blobs/Vuyus5fKcmMz36qhY6Nw/protecting_ve-virtual_machines-scale-disk_attachment_strategy.png)

## Adding HC3 as Hypervisor Manager

When adding a new SC//Platform as Hypervisor Manager in Storware Backup & Recovery, configure the following fields:

• URL: Address of HC3 hypervisor server: hostname or IP with HTTPS

• Fill in the admin username and password for HC3

• Select the export method

• The node configuration responsible for backup operations

![](https://content.gitbook.com/content/wUsKWUrceYHp8e9TJ00e/blobs/0ImQXgrpgkR1s93qVnVv/protecting-virtual-environments_virtual-machines_scale-computing-HC3_adding-HC3_1.PNG)

## Supported features

**Supported backup strategies:** Export storage domain, disk attachment (preferred)

<table data-full-width="false"><thead><tr><th width="274"></th><th width="240">Export storage domain</th><th width="230">Disk attachment</th></tr></thead><tbody><tr><td>Supported versions</td><td>9.4</td><td>9.4</td></tr><tr><td>The last snapshot is kept on the hypervisor for incremental backups</td><td>No</td><td>Yes</td></tr><tr><td>Access to hypervisor OS required</td><td>No</td><td>No</td></tr><tr><td>Proxy VM required</td><td>No</td><td>Yes</td></tr></tbody></table>

<table data-header-hidden><thead><tr><th width="273"></th><th width="239">Export storage repository</th><th>SSH transfer</th></tr></thead><tbody><tr><td>Full backup</td><td>Supported</td><td>Supported</td></tr><tr><td>Incremental backup</td><td>Not supported</td><td>Supported</td></tr><tr><td>Synthetic backups</td><td>Not supported *</td><td>Supported</td></tr><tr><td>File-level restore</td><td>Not supported</td><td>Supported</td></tr><tr><td>VM disk exclusion</td><td>Supported</td><td>Supported</td></tr><tr><td>Quiesced snapshots</td><td>Not supported</td><td>Not supported</td></tr><tr><td>Snapshots management</td><td>Supported</td><td>Supported</td></tr><tr><td>Pre/post command execution</td><td>Supported</td><td>Supported</td></tr><tr><td>Access to VM disk backup over iSCSI</td><td>Supported</td><td>Supported</td></tr><tr><td>VM name-based policy assignment</td><td>Supported</td><td>Supported</td></tr><tr><td>VM tag-based policy assignment</td><td>Supported</td><td>Supported</td></tr><tr><td>Power-on VM after restore</td><td>Supported</td><td>Supported</td></tr></tbody></table>

\* A synthetic backup destination can be used, but this strategy only supports full backups

## Network requirements

### Export Storage Domain

**Connection URL:** `https://MANAGER_HOST`

| Source             | Destination          | Ports   | Description  |
| ------------------ | -------------------- | ------- | ------------ |
| Node               | SC//Platform manager | 443/tcp | API access   |
| Node               | SC//Platform hosts   | 445/tcp | SMB transfer |
| SC//Platform hosts | Node                 | 445/tcp | SMB transfer |

### Disk Attachment

**Connection URL:** `https://MANAGER_HOST`

| Source | Destination          | Ports   | Description |
| ------ | -------------------- | ------- | ----------- |
| Node   | SC//Platform manager | 443/tcp | API access  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.storware.eu/protecting-virtual-machines/virtual-machines/scale-computing-hc3.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
